Accept a quote

Only quotes in the issued status can be accepted.

When a quote is accepted, Monite automatically creates a draft invoice based on this quote. To find the newly created invoice, use GET /receivables?based_on=QUOTE_ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired
ID of the quote to mark as accepted.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
signatureobjectOptional

The counterpart’s signature. Required if the quote field signature_required is true.

If the entity setting document_rendering.quote.display_signature is true or if this setting is overridden to true on the quote level, the PDF version of the quote will be updated to include the signature details.

Response

Successful Response
successbooleanDefaults to true

Errors

400
Post Receivables ID Accept Request Bad Request Error
401
Post Receivables ID Accept Request Unauthorized Error
403
Post Receivables ID Accept Request Forbidden Error
404
Post Receivables ID Accept Request Not Found Error
409
Post Receivables ID Accept Request Conflict Error
422
Post Receivables ID Accept Request Unprocessable Entity Error
429
Post Receivables ID Accept Request Too Many Requests Error